Bug 9904 - [FR] New version avaible
: [FR] New version avaible
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/trac)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-08-22 14:48 by
Modified: 2006-11-17 15:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-22 14:48:33
Прошу обновить trac до версии 0.9.6 - зафиксены нкоторые ошибки, устранена
проблема безобасности.
------- Comment #1 From 2006-08-23 03:29:05 -------
Наверно таки Severity не enhancement, а major.

http://secunia.com/advisories/20958/
------- Comment #2 From 2006-09-08 02:23:34 -------
Я бы попросил сразу до HEAD. Уже полгода использую то, что скоро будет 0.10 в
разных проектах - работает железобетонно, ошибок минимум, современные
расширения
под ней запустить куда легче.

А если уж совсем мечтать - запаковать бы еще расширения tags, webadmin,
gallery,
какой-нибудь вменяемый database-backed login - цены б ему не было. Пока, к
сожалению, везде гоняю все вышеперечисленное в ручной сборке...
------- Comment #3 From 2006-09-08 06:38:05 -------
ну до 0.9.6 я наверное обновлю, а вот до HEAD я пока не готов. Сам-то я HEAD
пользую давным-давно... но вот паковать его пока не готов...
------- Comment #4 From 2006-09-12 14:55:18 -------
Согласно:
[Sisyphus-cybertalk] I: Sisyphus-20060911 packages: +4! +53 (5649)

trac - Integrated scm, wiki, issue tracker and project environment
* Fri Sep 08 2006 Ivan Fedorov <ns@altlinux> 0.9.6-alt1
- 0.9.6
* Sat Apr 22 2006 Ivan Fedorov <ns@altlinux> 0.9.5-alt1
- 0.9.5
* Sat Apr 15 2006 Ivan Fedorov <ns@altlinux> 0.9.4-alt1

И вот этому:
Dear Ivan Fedorov !
The trac-0.9.6-alt1 package passed thru incoming rebuild for i586
architecture.
Thank you!

Dear Ivan Fedorov !
The trac-0.9.6-alt1 package has been rejected from incoming for x86_64
architecture.

Possible reason follows:
+ chmod -R go-w /usr/src/tmp/trac-buildroot/usr/share/doc/trac-0.9.6
+ chmod -R a+rX /usr/src/tmp/trac-buildroot/usr/share/doc/trac-0.9.6
+ cp -prL nginx-A.trac.cgi.conf nginx-A.trac.fcgi.conf
/usr/src/tmp/trac-buildroot/usr/share/doc/trac-0.9.6
+ chmod -R go-w /usr/src/tmp/trac-buildroot/usr/share/doc/trac-0.9.6
+ chmod -R a+rX /usr/src/tmp/trac-buildroot/usr/share/doc/trac-0.9.6
+ cp -prL cherokee-A.trac.cgi.conf cherokee-A.trac.fcgi.conf
/usr/src/tmp/trac-buildroot/usr/share/doc/trac-0.9.6
+ chmod -R go-w /usr/src/tmp/trac-buildroot/usr/share/doc/trac-0.9.6
+ chmod -R a+rX /usr/src/tmp/trac-buildroot/usr/share/doc/trac-0.9.6
+ exit 0


RPM build errors:
    Macro %SOURCE2 not found
    File not found:
/usr/src/tmp/trac-buildroot/usr/lib64/python2.4/site-packages/trac
    File not found:
/usr/src/tmp/trac-buildroot/usr/lib64/python2.4/site-packages/trac/mimeview
    File not found:
/usr/src/tmp/trac-buildroot/usr/lib64/python2.4/site-packages/trac/scripts
    File not found:
/usr/src/tmp/trac-buildroot/usr/lib64/python2.4/site-packages/trac/ticket
    File not found:
/usr/src/tmp/trac-buildroot/usr/lib64/python2.4/site-packages/trac/upgrades
    File not found:
/usr/src/tmp/trac-buildroot/usr/lib64/python2.4/site-packages/trac/versioncontrol
    File not found:
/usr/src/tmp/trac-buildroot/usr/lib64/python2.4/site-packages/trac/versioncontrol/web_ui
    File not found:
/usr/src/tmp/trac-buildroot/usr/lib64/python2.4/site-packages/trac/web
    File not found by glob:
/usr/src/tmp/trac-buildroot/usr/lib64/python2.4/site-packages/trac/web/modpython_frontend.*
    File not found by glob:
/usr/src/tmp/trac-buildroot/usr/lib64/python2.4/site-packages/trac/web/_fcgi.*
    File not found by glob:
/usr/src/tmp/trac-buildroot/usr/lib64/python2.4/site-packages/trac/web/fcgi_frontend.*
    File not found:
/usr/src/tmp/trac-buildroot/usr/lib64/python2.4/site-packages/trac/wiki
2.19user 1.75system 0:04.05elapsed 97%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (0major+494559minor)pagefaults 0swaps
rebuild: rebuild of `trac-0.9.6-alt1.src.rpm' failed.
removed `/tmp/.private/bee4/lockdir/pid'
removed directory: `/tmp/.private/bee4/lockdir'

Оно собралось только для x86, но это уже повод для нового бага...
------- Comment #5 From 2006-09-12 15:43:14 -------
повесишь?
------- Comment #6 From 2006-09-12 15:51:04 -------
(In reply to comment #5)
> повесишь?

я сразу и повесил. #9984

Так что эту багу можно close и всё такое. :)
------- Comment #7 From 2006-09-12 16:01:52 -------
Закрываем
------- Comment #8 From 2006-09-29 15:32:47 -------
Вчера вышла версия 0.10. Собираем =).
------- Comment #9 From 2006-10-16 19:09:32 -------
Собирай!!! ;)
Я тебе этот пакет ужо 2 или 3 раза дарил! ;)
------- Comment #10 From 2006-10-24 20:31:35 -------
Собрал,  0.10-alt1 в Сизифе.
------- Comment #11 From 2006-11-09 01:29:06 -------
0.10.1 вышел.

Trac 0.10.1 contains a security fix and a number of bug fixes
------- Comment #12 From 2006-11-17 15:36:25 -------
Собрал 0.10.2-alt1
------- Comment #13 From 2006-11-17 15:47:27 -------
(In reply to comment #12)
> Собрал 0.10.2-alt1

Угу.